var swearsJson = require("./swears.json");
/** Array: get list of swear words. **/
export var swearWords = swearsJson;
/** Function: replace swear words with a clean word instead.

Warning: probably not the most performant function.

@param stringToClean The string you want to be cleaned
@param wordToUseInstead _Optional_: The word to be used instead of the swear word. Defaults to 'fluff'.
**/
export var cleanUpSwearyString = function (stringToClean, wordToUseInstead) {
    if (wordToUseInstead === void 0) { wordToUseInstead = "fluff"; }
    var arrayToClean = stringToClean.split(" ");
    var cleanedArray = arrayToClean.map(function (word) {
        return swearWords.some(function (swear) { return word.includes(swear); })
            ? wordToUseInstead
            : word;
    });
    return cleanedArray.join(" ");
};
